%define oname 	pyperl
%define name  	python-perlmodule
%define version 1.0.1
%define release 1mdk

Summary:       Perl for python
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       %{oname}-%{version}.tar.bz2
License:       Artistic License
Group:         Development/Python
BuildRoot:     %{_tmppath}/%{name}-buildroot
Url:           http://search.cpan.org/author/GAAS/pyperl-1.0/
BuildRequires: perl-devel >= 5.6
BuildRequires: python-devel >= 1.5.2

%description
Perlmodule makes it possible to embed perl interpreters in any
python program. It can be used to invoke arbitrary perl code, load
any perl modules, and make calls directly into perl functions. The
perl code invoked can call back into python as it sees fit.

This package is built with MULTI_PERL enabled--each python thread
gets its own separate perl interpreter.

%prep
%setup -q -n %{oname}-%{version}

%build
cd Python-Object
CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL -DMULTI_PERL PREFIX=$RPM_BUILD_ROOT%{_prefix}
cd ..
ln -s Python-Object/blib/arch/auto/Python ./
python setup.py build
#python test.py

%install
rm -rf $RPM_BUILD_ROOT
cd Python-Object
%make install_vendor
mkdir -p $RPM_BUILD_ROOT/%_mandir/man3pm
cp blib/man3/*.3pm $RPM_BUILD_ROOT/%_mandir/man3pm
cd ..
python setup.py install --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO MANIFEST Changes
%_libdir/perl5/vendor_perl/*/*.pm
%_libdir/perl5/vendor_perl/*/Python
%_mandir/man3pm/Python*.3pm*
%_libdir/python*/site-packages/*

%changelog
* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 1.0.1-1mdk 
- andi payn <payn@myrealbox.com> :
  - Initial specfile
- install in vendor, not site
- trick manpages into installing (doc_vendor_install missing from makefile)
